#
# spec file for package ghc-irc-client
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name irc-client
Name:           ghc-%{pkg_name}
Version:        0.4.4.2
Release:        8.9
Summary:        An IRC client library
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-connection-devel
BuildRequires:  ghc-irc-conduit-devel
BuildRequires:  ghc-irc-ctcp-devel
BuildRequires:  ghc-network-conduit-tls-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-conduit-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-tls-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-x509-devel
BuildRequires:  ghc-x509-store-devel
BuildRequires:  ghc-x509-validation-devel

%description
An IRC client library built atop
<http://hackage.haskell.org/package/irc-conduit irc-conduit>. Why another IRC
client library, you cry? I didn't really find one that did what I wanted
(specifically, handle connecting to servers and calling event handlers,
possibly with TLS), but which didn't implement almost a full IRC bot for you.
That takes out all the fun!

<http://hackage.haskell.org/package/irc-conduit irc-conduit> and
<http://hackage.haskell.org/package/irc-ctcp irc-ctcp> are my solution to the
first part of that, this is my solution to the latter. It's a simple IRC client
library that does the basics for you, but isn't an all-singing, all-dancing,
fully-featured IRC /application/. It is a merely a simple library.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.4.4.2.
* Sun Oct 30 2016 psimons@suse.com
- Update to version 0.4.4.1 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 0.4.4.0 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.4.3.0 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.3.0.0 revision 0 with cabal2obs.
